Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Nov 2022 15:27:18 +0200

> Date: Tue, 22 Nov 2022 06:42:11 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> 
> I would go even further: scoring font candidates according to their 
> weight, slant, width and size (by comparing the values of these attributes 
> to the desired value of these attributes) is pointless unless the weight, 
> slant, width and size are set to nil (are not "free variables") when 
> building the list of fonts on which the scoring will be applied.

You assume that all, say, 'bold' fonts have the same numerical weight
values?  That is factually incorrect, especially as some font backends
support more fine-granular weight (and slant and width) classes and values
than the scale we use (which AFAIR was inherited from an old standard).

And please also consider my comment about the number of fonts we examine
when looking for a suitable candidate.